Download it now!
Bug 90362 - Undeletable element before table on new page
Summary: Undeletable element before table on new page
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.0.0 target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-31 07:47 UTC by vsza+tdf
Modified: 2016-11-21 15:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Proof of concept (9.02 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-03-31 07:47 UTC, vsza+tdf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vsza+tdf 2015-03-31 07:47:52 UTC
Created attachment 114485 [details]
Proof of concept

I cannot delete the last paragraph of the first page in order to get the table to the first page (thus have a single page document with both tables on the same page). If I press delete or backspace, it says "Readonly content cannot be changed." "No modifications will be accepted.".
Comment 1 A (Andy) 2015-04-03 15:02:40 UTC
Reproducible with LO 4.4.1.2, Win 8.1: Message "Write-protected content cannot be changed. No modifications will be accepted." is shown.

Note: MSO gives an error message if I try to open the file.

@Bug Reporter:
Did you create this file in LO?
Comment 2 vsza+tdf 2015-04-04 11:05:19 UTC
The file was created by a document generator, and I hand-edited document.xml to reduce size to a minimal working example and remove sensitive information. Only complete ranges (or whatever the "r" tag means) were removed and textual node contents were changed. The error and the message was the same in the original document, I haven't tried opening it with MSO.
Comment 3 Commit Notification 2015-04-07 11:45:23 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a59caddac55002ccecb6fda538255bfe03c6d2d

tdf#90362 sw: config option for ignoring protected areas

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Miklos Vajna 2015-04-07 12:09:03 UTC
Tools -> Options -> Writer -> Formatting Aids -> Protected Areas now has an 'Ignore protection' checkbox that makes read-only selections read-write, including the empty fieldmark from the bugdoc. Use it with care, e.g. if you just delete the start or the end of the fieldmark and not both (i.e. the whole paragraph), then bad things may happen. ;-)
Comment 5 Cor Nouws 2015-10-02 19:02:57 UTC
@miklos: question, since I didn't read any about it in the release notes.
Is the intention too that this enables editing of (password) protected sections :) ?
Thanks, COr
Comment 6 Cor Nouws 2015-10-02 19:03:30 UTC
(In reply to Cor Nouws from comment #5)
> Is the intention too that this enables editing of (password) protected
> sections :) ?
(It does..)
Comment 7 Commit Notification 2016-11-21 15:29:53 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=efbf399e773c6fc04496331b6ff1efde54bd4f9e

related: tdf#90362: remove option from Formatting Aids

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.